Get provider
curl --request GET \
--url https://api.example.com/api/bridge/v1/provider/{provider_instance_id}import requests
url = "https://api.example.com/api/bridge/v1/provider/{provider_instance_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/bridge/v1/provider/{provider_instance_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"provider_instance": {
"created_at": "2023-11-07T05:31:56Z",
"credential_controller_type_id": "<string>",
"display_name": "<string>",
"id": "<string>",
"provider_controller_type_id": "<string>",
"resource_server_credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"return_on_successful_brokering": {
"url": "<string>",
"type": "url"
},
"user_credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"resource_server_credential": {
"created_at": "2023-11-07T05:31:56Z",
"dek_alias": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"type_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"value": "<unknown>",
"next_rotation_time": "2023-11-07T05:31:56Z"
},
"controller": {
"categories": [
"<string>"
],
"credential_controllers": [
{
"configuration_schema": {
"resource_server": {},
"user_credential": {}
},
"documentation": "<string>",
"name": "<string>",
"requires_brokering": true,
"requires_resource_server_credential_refreshing": true,
"requires_user_credential_refreshing": true,
"type_id": "<string>"
}
],
"documentation": "<string>",
"functions": [
{
"categories": [
"<string>"
],
"documentation": "<string>",
"name": "<string>",
"output": {},
"parameters": {},
"type_id": "<string>"
}
],
"name": "<string>",
"type_id": "<string>"
},
"credential_controller": {
"configuration_schema": {
"resource_server": {},
"user_credential": {}
},
"documentation": "<string>",
"name": "<string>",
"requires_brokering": true,
"requires_resource_server_credential_refreshing": true,
"requires_user_credential_refreshing": true,
"type_id": "<string>"
},
"functions": [
{
"created_at": "2023-11-07T05:31:56Z",
"function_controller_type_id": "<string>",
"provider_controller_type_id": "<string>",
"provider_instance_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"controller": {
"categories": [
"<string>"
],
"documentation": "<string>",
"name": "<string>",
"output": {},
"parameters": {},
"type_id": "<string>"
}
}
],
"user_credential": {
"created_at": "2023-11-07T05:31:56Z",
"dek_alias": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"type_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"value": "<unknown>",
"next_rotation_time": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"data": "<unknown>"
}{
"message": "<string>",
"data": "<unknown>"
}bridge
Get provider
Retrieve a provider instance by its unique identifier
GET
/
api
/
bridge
/
v1
/
provider
/
{provider_instance_id}
Get provider
Path Parameters
Provider instance ID
Response
Get provider instance
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I